function im=posun(obraz,pom1,pom2)
% posune obrázek o požadovaný počet pixelů

[a,b]=size(obraz);
im=zeros(size(obraz));
tr=(1:a)-pom1;
ix=find((tr>0)&(tr<=a));
tr=tr(ix);
tc=(1:b)-pom2;
ix=find((tc>0)&(tc<=b));
tc=tc(ix);
r1=max([1,pom1+1]);
r2=min([a,pom1+a]);
c1=max([1,pom2+1]);
c2=min([b,pom2+b]);
im(r1:r2,c1:c2)=obraz(tr(1):tr(end),tc(1):tc(end));
% imagesc(imr);
end

